$(function () {
  var chart = LS.Chart(LS.routes.timeSaved);
  LS.initChartElements(chart);

  var originalFunc = chart.processorFunc;
  var summatorFunc = function (dataSet) {
    var sum = 0;
    var data = _.map(dataSet['data'], function (item) {
      sum += item[1];
      return [item[0], sum];
    });
    return {label: dataSet['label'], data: data};
  };

  $("#sumUpId").click(function () {
    if ($(this).is(":checked")) {
      chart.processorFunc = summatorFunc;
    }
    else {
      chart.processorFunc = originalFunc;
    }

    chart.redrawChart();
  });
});